__gnu_cxx::new_allocator< _Tp >(3cxx)

NAME
__gnu_cxx::new_allocator< _Tp > - An allocator that uses global new, as per C++03 [20.4.1].

SYNOPSIS

#include <new_allocator.h>

Inherited by std::allocator< value_type >, and std::allocator< _Tp >.

  Public Types

typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef std::ptrdiff_t difference_type
typedef _Tp * pointer
typedef std::true_type propagate_on_container_move_assignment
typedef _Tp & reference
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions

constexpr new_allocator (const new_allocator &) noexcept
template<typename _Tp1 > constexpr new_allocator (const new_allocator< _Tp1 > &) noexcept
const_pointer address (const_reference __x) const noexcept
pointer address (reference __x) const noexcept
_Tp * allocate (size_type __n, const void *=static_cast< const void * >(0))
template<typename _Up , typename... _Args> void construct (_Up *__p, _Args &&... __args) noexcept(std::is_nothrow_constructible< _Up, _Args... >::value)
void deallocate (_Tp *__p, size_type __t)
template<typename _Up > void destroy (_Up *__p) noexcept(std::is_nothrow_destructible< _Up >::value)
size_type max_size () const noexcept

  Friends

template<typename _Up > constexpr bool operator!= (const new_allocator &, const new_allocator< _Up > &) noexcept
template<typename _Up > constexpr bool operator== (const new_allocator &, const new_allocator< _Up > &) noexcept

Detailed Description

  template<typename _Tp>
class __gnu_cxx::new_allocator< _Tp >"An allocator that uses global new, as per C++03 [20.4.1].

This is precisely the allocator defined in the C++ Standard.

•   all allocation calls operator new

•   all deallocation calls operator delete

Template Parameters
    _Tp Type of allocated object.

Author

Generated automatically by Doxygen for libstdc++ from the source code.